%define oname   racc

Name:       ruby-%{oname}
Version:    1.4.9
Release:    %mkrel 3
Summary:    A LALR(1) parser generator
Group:      Development/Ruby
License:    LGPLv2
URL:        http://racc.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
BuildRequires: rubygem(hoe) >= 3.0

%description
Racc is a LALR(1) parser generator. It is written in Ruby itself, and
generates Ruby program.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
#fix shebang
sed -i 's;#!.*;#!/usr/bin/env ruby;' bin/*
%gem_build

%install
%gem_install

%files
%{_bindir}/racc
%{_bindir}/racc2y
%{_bindir}/y2racc
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_sitearchdir}/%{oname}
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%{ruby_gemdir}/gems/%{oname}-%{version}/README.ja.rdoc
%{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/rdoc


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.4.9-3.mga3
+ Revision: 396298
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.9-2.mga3
+ Revision: 381283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.4.9-1.mga3
+ Revision: 311982
- update file list
- new version 1.4.9

* Thu Jun 07 2012 solbu <solbu> 1.4.8-3.mga3
+ Revision: 256758
- New version
- Spec cleanup

* Sun Jan 30 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 44752
- fix shebang

* Tue Jan 25 2011 shikamaru <shikamaru> 1.4.6-2.mga1
+ Revision: 39610
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.4.6-1.mga1
+ Revision: 36824
- imported package ruby-racc

